/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package util;

class DBEnvInfo {

   private String connectString;
   private String userName;
   private String passWord;

   String getConnectString() {
      return connectString;
   }

   void setConnectString(String connectString) {
      this.connectString = connectString;
   }

   String getUserName() {
      return userName;
   }

   void setUserName(String userName) {
      this.userName = userName;
   }

   String getPassWord() {
      return passWord;
   }

   void setPassWord(String passWord) {
      this.passWord = passWord;
   }

   void validate() {
      if (this.connectString == null || "".equals(this.connectString)) {
         throw new IllegalArgumentException("The database connect string must not be empty.");
      }
      if (this.userName == null || "".equals(this.userName)) {
         throw new IllegalArgumentException("The database username must not be empty.");
      }
      if (this.passWord == null || "".equals(this.passWord)) {
         throw new IllegalArgumentException("The database password must not be empty.");
      }
   }
}
