/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package util;

/**
 *
 * @author andjse
 */
class LdapEnvInfo {

   private String providerUrl;
   private String searchBase;
   private String userName;
   private String passWord;

   String getProviderUrl() {
      return providerUrl;
   }

   void setProviderUrl(String providerUrl) {
      this.providerUrl = providerUrl;
   }

   String getSearchBase() {
      return searchBase;
   }

   void setSearchBase(String searchBase) {
      this.searchBase = searchBase;
   }

   String getUserName() {
      return userName;
   }

   void setUserName(String userName) {
      this.userName = userName;
   }

   String getPassWord() {
      return passWord;
   }

   void setPassWord(String passWord) {
      this.passWord = passWord;
   }

   void validate() {
      if (this.providerUrl == null || "".equals(this.providerUrl)) {
         throw new IllegalArgumentException("The provider URL must not be empty.");
      }
      if (this.searchBase == null || "".equals(this.searchBase)) {
         throw new IllegalArgumentException("The 'search base' must not be empty.");
      }
      if (this.userName == null || "".equals(this.userName)) {
         throw new IllegalArgumentException("The AD username must not be empty.");
      }
      if (this.passWord == null || "".equals(this.passWord)) {
         throw new IllegalArgumentException("The AD password must not be empty.");
      }
   }
}
